<?php


	add_action('admin_notices', 'qcld_minimum_accept_price_invalid_license_notice');
	function qcld_minimum_accept_price_invalid_license_notice(){
		if( (qcld_get_minimum_accept_price_licensing_buy_from() != '') && (qcld_get_minimum_accept_price_invalid_license()) ){
			if( (qcld_get_minimum_accept_price_licensing_buy_from() == 'quantumcloud') && (qcld_get_minimum_accept_price_licensing_key() == '') ){

			}elseif( (qcld_get_minimum_accept_price_licensing_buy_from() == 'codecanyon') && (qcld_get_minimum_accept_price_envato_key() == '') ){

			}else{
				$class="notice notice-error is-dismissible qc-notice-error";
				$message = "You have Entered an Invalid License Key for Bargaining Chatbot";

				printf( '<div data-dismiss-type="qc-invalid-license" class="%1$s"><a href="'.esc_url('https://www.quantumcloud.com/products/').'" target="_blank"><img src="'.esc_url(QCLD_MAP_PLUGIN_URL.'plugin-upgrader/images/qc-logo.jpg').'" /></a><p>%2$s</p></div>', esc_attr( $class ), $message ); 
			}
		}
	}


if( !qcld_get_minimum_accept_price_enter_license_notice_dismiss_transient() ){
	add_action('admin_notices', 'qcld_minimum_accept_price_license_enter_notice');
	function qcld_minimum_accept_price_license_enter_notice(){

		if( (qcld_get_minimum_accept_price_licensing_buy_from() != '') && (qcld_get_minimum_accept_price_invalid_license() != 1) ){

		}else{
			
			$class="notice notice-error is-dismissible qc-notice-error";
			

			$message = "Hi! Please enter the license key to receive automatic updates and premium support. <a href=".minimum_accept_price_get_licensing_url().">Please activate your copy of Bargaining Chatbot Addon.</a>";

			printf( '<div data-dismiss-type="qc-enter-license" class="%1$s"><a href="'.esc_url('https://www.quantumcloud.com/products/').'" target="_blank"><img src="'.esc_url(QCLD_MAP_PLUGIN_URL.'plugin-upgrader/images/qc-logo.jpg').'" /></a><p>%2$s</p></div>', esc_attr( $class ), $message ); 
		}
	}
}

//start new-update-for-codecanyon
function minimum_accept_price_licensing_notice_dismiss_func(){
	check_ajax_referer('minimum_accept_price_licensing_admin_nonce', 'nonce');

	if( sanitize_text_field($_GET['dismiss_notice']) == 'qc-enter-license' ){
		if( !qcld_get_minimum_accept_price_enter_license_notice_dismiss_transient() ){
			qcld_set_minimum_accept_price_enter_license_notice_dismiss_transient();
		}
	}

	if( sanitize_text_field($_GET['dismiss_notice']) == 'qc-invalid-license' ){
		if( !qcld_get_minimum_accept_price_invalid_license_notice_dismiss_transient() ){
			qcld_set_minimum_accept_price_invalid_license_notice_dismiss_transient();
		}
	}

}
add_action('wp_ajax_minimum_accept_price_licensing_notice_dismiss', 'minimum_accept_price_licensing_notice_dismiss_func');
//end new-update-for-codecanyon