<?php
define('qcld_minimum_accept_price_LICENSING_PLUGIN_SLUG', 'bargain-bot/wpbot-minimum-acceptable-price-addon.php');
define('qcld_minimum_accept_price_LICENSING_PLUGIN_NAME', 'bargain-bot');
define('qcld_minimum_accept_price_LICENSING__DIR', plugin_dir_path(__DIR__));

define('qcld_minimum_accept_price_LICENSING_REMOTE_PATH', 'https://www.ultrawebmedia.com/li/plugins/bargaining-chatbot/update.php');
define('qcld_minimum_accept_price_LICENSING_PRODUCT_DEV_URL', 'https://quantumcloud.com/products/');

//start new-update-for-codecanyon
define('minimum_accept_price_ENVATO_PLUGIN_ID', 24704601);
//end new-update-for-codecanyon

function qcld_get_minimum_accept_price_licensing_plugin_data(){
	include_once(ABSPATH.'wp-admin/includes/plugin.php');
	return get_plugin_data(qcld_minimum_accept_price_LICENSING__DIR.'/wpbot-minimum-acceptable-price-addon.php', false);
}

//License Options
function qcld_get_minimum_accept_price_licensing_key(){
	return get_option('qcld_minimum_accept_price_enter_license_key');
}

function qcld_get_minimum_accept_price_envato_key(){
	return get_option('qcld_minimum_accept_price_enter_envato_key');
}

function qcld_get_minimum_accept_price_licensing_buy_from(){
	return get_option('qcld_minimum_accept_price_buy_from_where');
}


//Update Transients
function qcld_get_minimum_accept_price_update_transient(){
	return get_transient('qcld_update_minimum_accept_price');
}

function qcld_set_minimum_accept_price_update_transient($plugin_object){
	return set_transient( 'qcld_update_minimum_accept_price', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_minimum_accept_price_update_transient(){
	return delete_transient( 'qcld_update_minimum_accept_price' );
}


//Renewal Transients
function qcld_get_minimum_accept_price_renew_transient(){
	return get_transient('qcld_renew_minimum_accept_price_subscription');
}

function qcld_set_minimum_accept_price_renew_transient($plugin_object){
	return set_transient( 'qcld_renew_minimum_accept_price_subscription', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_minimum_accept_price_renew_transient(){
	return delete_transient( 'qcld_renew_minimum_accept_price_subscription' );
}


//Invalid License Options
function qcld_get_minimum_accept_price_invalid_license(){
	return get_option('minimum_accept_price_invalid_license');
}

function qcld_set_minimum_accept_price_invalid_license(){
	return update_option('minimum_accept_price_invalid_license', 1);
}

function delete_minimum_accept_price_invalid_license(){
	return delete_option('minimum_accept_price_invalid_license');
}
function minimum_accept_price_get_licensing_url(){
	return admin_url('admin.php?page=minimum-acceptable-price-help-license');
}

//Valid License
function qcld_get_minimum_accept_price_valid_license(){
	return get_option('minimum_accept_price_valid_license');
}
function qcld_set_minimum_accept_price_valid_license(){
	return update_option('minimum_accept_price_valid_license', 1);
}
function delete_minimum_accept_price_valid_license(){
	return delete_option('minimum_accept_price_valid_license');
}

//staging or live 
function qcld_get_minimum_accept_price_site_type(){
	return get_option('qcld_minimum_accept_price_site_type');
}



//start new-update-for-codecanyon
function qcld_get_minimum_accept_price_license_purchase_code(){
	return get_option('qcld_minimum_accept_price_enter_license_or_purchase_key');
}

function qcld_get_minimum_accept_price_enter_license_notice_dismiss_transient(){
	return get_transient('qcld_get_minimum_accept_price_enter_license_notice_dismiss_transient');
}

function qcld_set_minimum_accept_price_enter_license_notice_dismiss_transient(){
	return set_transient('qcld_get_minimum_accept_price_enter_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}

function qcld_get_minimum_accept_price_invalid_license_notice_dismiss_transient(){
	return get_transient('qcld_get_minimum_accept_price_invalid_license_notice_dismiss_transient');
}

function qcld_set_minimum_accept_price_invalid_license_notice_dismiss_transient(){
	return set_transient('qcld_get_minimum_accept_price_invalid_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}
//end new-update-for-codecanyon